Qt 5.9 | Qt Charts | C++ Classes | QStackedBarSeries

Qt 5.9.9 Reference Documentation

# QStackedBarSeries Class

The QStackedBarSeries class presents a series of data as vertically stacked bars, with one bar per category. More...

Header: | #include <QStackedBarSeries>
Instantiated By: | StackedBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QStackedBarSeries(QObject *parent = Q_NULLPTR)
| ~QStackedBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 18 public functions inherited from QAbstractBarSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 6 properties inherited from QAbstractBarSeries
- 5 properties inherited from QAbstractSeries
- 12 signals inherited from QAbstractBarSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

The QStackedBarSeries class presents a series of data as vertically stacked bars, with one bar per category.

Each bar set added to the series contributes a single segment to each stacked bar.

See the stacked bar chart example to learn how to create a stacked bar chart.

See also QBarSet, QPercentBarSeries, and QAbstractBarSeries.

## Member Function Documentation

### QStackedBarSeries::QStackedBarSeries(QObject *parent = Q_NULLPTR)

Constructs an empty bar series that is a QObject and a child of parent.

### QStackedBarSeries::~QStackedBarSeries()

Removes the bar series from the chart.

### `[virtual]` QAbstractSeries::SeriesType QStackedBarSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns the stacked bar series.